Debian Bug report logs - #432547
unnecessarily fascist about email addresses in comments

version graph

Package: wordpress; Maintainer for wordpress is Craig Small <csmall@debian.org>; Source for wordpress is src:wordpress.

Reported by: martin f krafft <madduck@debian.org>

Date: Tue, 10 Jul 2007 12:27:01 UTC

Severity: normal

Tags: fixed-upstream

Fixed in version 2.5.1-1

Done: Giuseppe Iuculano <giuseppe@iuculano.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Kai Hendry <hendry@iki.fi>:
Bug#432547; Package wordpress. Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unnecessarily fascist about email addresses in comments
Date: Tue, 10 Jul 2007 14:25:33 +0200
[Message part 1 (text/plain, inline)]
Package: wordpress
Severity: normal

If I leave a comment with email address a=b@c.com (which is
RFC-conformant), wordpress is supersmartass and tells me that the
email address is invalid. Please, if it decides to impose hard rules
on users, maybe it should know what email addresses actually are?

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.21-2-amd64 (SMP w/1 CPU core)
Locale: LANG=en_GB, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#432547; Package wordpress. Full text and rfc822 format available.

Message #6 received at 432547@bugs.debian.org (full text, mbox):

From: Kai Hendry <hendry@iki.fi>
To: 432547@bugs.debian.org
Subject: Pushed this upstream
Date: Wed, 11 Jul 2007 21:59:42 +0100
http://trac.wordpress.org/ticket/4616



Information forwarded to debian-bugs-dist@lists.debian.org, Kai Hendry <hendry@iki.fi>:
Bug#432547; Package wordpress. Full text and rfc822 format available.

Acknowledgement sent to Sam Hocevar <sam@zoy.org>:
Extra info received and forwarded to list. Copy sent to Kai Hendry <hendry@iki.fi>. Full text and rfc822 format available.

Message #11 received at 432547@bugs.debian.org (full text, mbox):

From: Sam Hocevar <sam@zoy.org>
To: Kai Hendry <hendry@iki.fi>, 432547@bugs.debian.org
Subject: Re: Bug#432547: Pushed this upstream
Date: Wed, 18 Jul 2007 19:18:46 +0200
On Wed, Jul 11, 2007, Kai Hendry wrote:
> http://trac.wordpress.org/ticket/4616

   I see upstream came up with their own smart regex. Please educate
them with something like this:

    http://iamcal.com/publish/articles/php/parsing_email/

Cheers,
-- 
Sam.



Tags added: fixed-upstream Request was from "Kai Hendry" <kai.hendry@gmail.com> to control@bugs.debian.org. (Mon, 06 Aug 2007 12:15:05 GMT) Full text and rfc822 format available.

Reply sent to Giuseppe Iuculano <giuseppe@iuculano.it>:
You have taken responsibility. (Sat, 15 Aug 2009 16:06:08 GMT) Full text and rfc822 format available.

Notification sent to martin f krafft <madduck@debian.org>:
Bug acknowledged by developer. (Sat, 15 Aug 2009 16:06:08 GMT) Full text and rfc822 format available.

Message #18 received at 432547-done@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <giuseppe@iuculano.it>
To: 432547-done@bugs.debian.org
Subject: Fixed in 2.5.1-1
Date: Sat, 15 Aug 2009 18:01:37 +0200
[Message part 1 (text/plain, inline)]
Version: 2.5.1-1

Fixed in wordpress 2.5.1-1

Cheers,
Giuseppe

[signature.asc (application/pgp-signature, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 13 Sep 2009 07:37:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 03:59:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.